using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace InteractiveKiosk
{
    /// <summary>
    /// Interaction logic for Profile.xaml
    /// </summary>
    public partial class Profile : Window
    {
        InteractiveKioskEntities db = new InteractiveKioskEntities();
        public Profile()
        {
            InitializeComponent();
            //Profiles.ItemsSource = db.ParkManagers.Where(x => x.IDParkManager == 1).ToList();
            //Profiles.ItemsSource = db.ParkManagers.ToList();

        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            db = new InteractiveKioskEntities();
        }

        private void MinButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void ExitButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.Close();
        }

        private void Profile_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ChangedButton == MouseButton.Left)
            {
                this.DragMove();
            }
        }

        private void Edit(object sender, RoutedEventArgs e)
        {
            EditProfile ep = new EditProfile();
            ep.Show();
            this.Close();
        }

        private void Cancel(object sender, RoutedEventArgs e)
        {
            MainWindow mw = new MainWindow();
            mw.Show();
            this.Close();
        }
    }
}
